<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (11.0.22) on Sat Apr 20 15:06:18 BRT 2024 -->
<title>Index (desafiotcebackend 0.0.1-SNAPSHOT API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2024-04-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (desafiotcebackend 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html#addResourceHandlers(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry)">addResourceHandlers(ResourceHandlerRegistry)</a></span> - Method in class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html" title="class in com.daulio.desafiotcebackend.config">SwaggerConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html#ATRIBUTO_PREFIXO">ATRIBUTO_PREFIXO</a></span> - Static variable in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTValidateFilter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html#attemptAuthentication(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">attemptAuthentication(HttpServletRequest, HttpServletResponse)</a></span> - Method in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTAutenticateFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/security/AutenticationDTO.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">AutenticationDTO</span></a> - Class in <a href="com/daulio/desafiotcebackend/security/package-summary.html">com.daulio.desafiotcebackend.security</a></dt>
<dd>
<div class="block">Classe DTO para resposta do login no sistema</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/AutenticationDTO.html#%3Cinit%3E()">AutenticationDTO()</a></span> - Constructor for class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/AutenticationDTO.html" title="class in com.daulio.desafiotcebackend.security">AutenticationDTO</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="com/daulio/desafiotcebackend/model/Car.html" title="class in com.daulio.desafiotcebackend.model"><span class="typeNameLink">Car</span></a> - Class in <a href="com/daulio/desafiotcebackend/model/package-summary.html">com.daulio.desafiotcebackend.model</a></dt>
<dd>
<div class="block">Representa entidade do banco de dados para carros.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/Car.html#%3Cinit%3E()">Car()</a></span> - Constructor for class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/Car.html" title="class in com.daulio.desafiotcebackend.model">Car</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller"><span class="typeNameLink">CarController</span></a> - Class in <a href="com/daulio/desafiotcebackend/controller/package-summary.html">com.daulio.desafiotcebackend.controller</a></dt>
<dd>
<div class="block">Representa o controller de carros do usuário no sistema</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/CarController.html#%3Cinit%3E()">CarController()</a></span> - Constructor for class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller">CarController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/converter/CarConverter.html" title="class in com.daulio.desafiotcebackend.converter"><span class="typeNameLink">CarConverter</span></a> - Class in <a href="com/daulio/desafiotcebackend/converter/package-summary.html">com.daulio.desafiotcebackend.converter</a></dt>
<dd>
<div class="block">Classe para converção de DTO para Entity e de Entity para DTO dos dados de carros</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/CarConverter.html#%3Cinit%3E()">CarConverter()</a></span> - Constructor for class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/CarConverter.html" title="class in com.daulio.desafiotcebackend.converter">CarConverter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto"><span class="typeNameLink">CarDTO</span></a> - Class in <a href="com/daulio/desafiotcebackend/dto/package-summary.html">com.daulio.desafiotcebackend.dto</a></dt>
<dd>
<div class="block">Classe DTO para requisição e resposta dos endpoints de carros.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/dto/CarDTO.html#%3Cinit%3E()">CarDTO()</a></span> - Constructor for class com.daulio.desafiotcebackend.dto.<a href="com/daulio/desafiotcebackend/dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/repository/CarRepository.html" title="interface in com.daulio.desafiotcebackend.repository"><span class="typeNameLink">CarRepository</span></a> - Interface in <a href="com/daulio/desafiotcebackend/repository/package-summary.html">com.daulio.desafiotcebackend.repository</a></dt>
<dd>
<div class="block">Repository para entidade Car</div>
</dd>
<dt><a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service"><span class="typeNameLink">CarService</span></a> - Interface in <a href="com/daulio/desafiotcebackend/service/package-summary.html">com.daulio.desafiotcebackend.service</a></dt>
<dd>
<div class="block">Representa interface do service com os métodos para carros no sistema.</div>
</dd>
<dt><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service"><span class="typeNameLink">CarServiceImpl</span></a> - Class in <a href="com/daulio/desafiotcebackend/service/package-summary.html">com.daulio.desafiotcebackend.service</a></dt>
<dd>
<div class="block">Representa service com os métodos para carros no sistema.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html#%3Cinit%3E()">CarServiceImpl()</a></span> - Constructor for class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">CarServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/package-summary.html">com.daulio.desafiotcebackend</a> - package com.daulio.desafiotcebackend</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/config/package-summary.html">com.daulio.desafiotcebackend.config</a> - package com.daulio.desafiotcebackend.config</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/controller/package-summary.html">com.daulio.desafiotcebackend.controller</a> - package com.daulio.desafiotcebackend.controller</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/converter/package-summary.html">com.daulio.desafiotcebackend.converter</a> - package com.daulio.desafiotcebackend.converter</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/dto/package-summary.html">com.daulio.desafiotcebackend.dto</a> - package com.daulio.desafiotcebackend.dto</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/exception/package-summary.html">com.daulio.desafiotcebackend.exception</a> - package com.daulio.desafiotcebackend.exception</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/model/package-summary.html">com.daulio.desafiotcebackend.model</a> - package com.daulio.desafiotcebackend.model</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/repository/package-summary.html">com.daulio.desafiotcebackend.repository</a> - package com.daulio.desafiotcebackend.repository</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/security/package-summary.html">com.daulio.desafiotcebackend.security</a> - package com.daulio.desafiotcebackend.security</dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/service/package-summary.html">com.daulio.desafiotcebackend.service</a> - package com.daulio.desafiotcebackend.service</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html#configure(org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder)">configure(AuthenticationManagerBuilder)</a></span> - Method in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html" title="class in com.daulio.desafiotcebackend.security">JWTConfiguration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html#configure(org.springframework.security.config.annotation.web.builders.HttpSecurity)">configure(HttpSecurity)</a></span> - Method in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html" title="class in com.daulio.desafiotcebackend.security">JWTConfiguration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/security/Consts.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">Consts</span></a> - Class in <a href="com/daulio/desafiotcebackend/security/package-summary.html">com.daulio.desafiotcebackend.security</a></dt>
<dd>
<div class="block">Classe para constantes de segurança</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/Consts.html#%3Cinit%3E()">Consts()</a></span> - Constructor for class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/Consts.html" title="class in com.daulio.desafiotcebackend.security">Consts</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/config/CorsConfig.html" title="class in com.daulio.desafiotcebackend.config"><span class="typeNameLink">CorsConfig</span></a> - Class in <a href="com/daulio/desafiotcebackend/config/package-summary.html">com.daulio.desafiotcebackend.config</a></dt>
<dd>
<div class="block">Classe para configuração dos Cors</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/CorsConfig.html#%3Cinit%3E()">CorsConfig()</a></span> - Constructor for class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/CorsConfig.html" title="class in com.daulio.desafiotcebackend.config">CorsConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/CorsConfig.html#corsConfigurer()">corsConfigurer()</a></span> - Method in class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/CorsConfig.html" title="class in com.daulio.desafiotcebackend.config">CorsConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserService.html#create(com.daulio.desafiotcebackend.dto.UserDTO)">create(UserDTO)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#create(com.daulio.desafiotcebackend.dto.UserDTO)">create(UserDTO)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Salva um novo usuário</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarService.html#create(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">create(String, CarDTO)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html#create(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">create(String, CarDTO)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">CarServiceImpl</a></dt>
<dd>
<div class="block">Salva um novo carro para usuário logado</div>
</dd>
</dl>
<a id="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarService.html#delete(java.lang.String,java.lang.Long)">delete(String, Long)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html#delete(java.lang.String,java.lang.Long)">delete(String, Long)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">CarServiceImpl</a></dt>
<dd>
<div class="block">Exclui um carro do usuário logado por id</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/UserController.html#deleteById(java.lang.Long)">deleteById(Long)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller">UserController</a></dt>
<dd>
<div class="block">Exclui um usuário por id</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserService.html#deleteById(java.lang.Long)">deleteById(Long)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#deleteById(java.lang.Long)">deleteById(Long)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Exclui um usuário por id</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/CarController.html#deleteById(java.lang.String,java.lang.Long)">deleteById(String, Long)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller">CarController</a></dt>
<dd>
<div class="block">Exclui um carro do usuário logado por id</div>
</dd>
<dt><a href="com/daulio/desafiotcebackend/DesafiotcebackendApplication.html" title="class in com.daulio.desafiotcebackend"><span class="typeNameLink">DesafiotcebackendApplication</span></a> - Class in <a href="com/daulio/desafiotcebackend/package-summary.html">com.daulio.desafiotcebackend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/DesafiotcebackendApplication.html#%3Cinit%3E()">DesafiotcebackendApplication()</a></span> - Constructor for class com.daulio.desafiotcebackend.<a href="com/daulio/desafiotcebackend/DesafiotcebackendApplication.html" title="class in com.daulio.desafiotcebackend">DesafiotcebackendApplication</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/WebConfig.html#destroy()">destroy()</a></span> - Method in class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/WebConfig.html" title="class in com.daulio.desafiotcebackend.config">WebConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/WebConfig.html#doFilter(javax.servlet.ServletRequest,javax.servlet.ServletResponse,javax.servlet.FilterChain)">doFilter(ServletRequest, ServletResponse, FilterChain)</a></span> - Method in class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/WebConfig.html" title="class in com.daulio.desafiotcebackend.config">WebConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html#doFilterInternal(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse,javax.servlet.FilterChain)">doFilterInternal(HttpServletRequest, HttpServletResponse, FilterChain)</a></span> - Method in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTValidateFilter</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/UserRepository.html#existsByEmail(java.lang.String)">existsByEmail(String)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository">UserRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/UserRepository.html#existsByEmailAndIdNot(java.lang.String,java.lang.Long)">existsByEmailAndIdNot(String, Long)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository">UserRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/CarRepository.html#existsByLicensePlate(java.lang.String)">existsByLicensePlate(String)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/CarRepository.html" title="interface in com.daulio.desafiotcebackend.repository">CarRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/CarRepository.html#existsByLicensePlateAndIdNot(java.lang.String,java.lang.Long)">existsByLicensePlateAndIdNot(String, Long)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/CarRepository.html" title="interface in com.daulio.desafiotcebackend.repository">CarRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/UserRepository.html#existsByUsername(java.lang.String)">existsByUsername(String)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository">UserRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/UserRepository.html#existsByUsernameAndIdNot(java.lang.String,java.lang.Long)">existsByUsernameAndIdNot(String, Long)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository">UserRepository</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserService.html#findAll()">findAll()</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#findAll()">findAll()</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Recupera a lista de todos os usuários</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarService.html#findAll(java.lang.String)">findAll(String)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html#findAll(java.lang.String)">findAll(String)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">CarServiceImpl</a></dt>
<dd>
<div class="block">Recupera a lista de todos os carros do usuário logado</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/CarRepository.html#findAllByUserIdOrderByQtdUsoDesc(java.lang.Long)">findAllByUserIdOrderByQtdUsoDesc(Long)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/CarRepository.html" title="interface in com.daulio.desafiotcebackend.repository">CarRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/MeController.html#findAuthenticateUser(java.lang.String)">findAuthenticateUser(String)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/MeController.html" title="class in com.daulio.desafiotcebackend.controller">MeController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserService.html#findAuthenticateUserByToken(java.lang.String)">findAuthenticateUserByToken(String)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#findAuthenticateUserByToken(java.lang.String)">findAuthenticateUserByToken(String)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Retorna os dados do usuário a partir dos token JWT</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserService.html#findById(java.lang.Long)">findById(Long)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#findById(java.lang.Long)">findById(Long)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Recupera um usuário por id</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarService.html#findById(java.lang.String,java.lang.Long)">findById(String, Long)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html#findById(java.lang.String,java.lang.Long)">findById(String, Long)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">CarServiceImpl</a></dt>
<dd>
<div class="block">Recupera um carro do usuário logado por id</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/CarRepository.html#findByIdAndUserId(java.lang.Long,java.lang.Long)">findByIdAndUserId(Long, Long)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/CarRepository.html" title="interface in com.daulio.desafiotcebackend.repository">CarRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/repository/UserRepository.html#findByUsername(java.lang.String)">findByUsername(String)</a></span> - Method in interface com.daulio.desafiotcebackend.repository.<a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository">UserRepository</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/UserController.html#getAll()">getAll()</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller">UserController</a></dt>
<dd>
<div class="block">Recupera a lista de todos os usuários</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/CarController.html#getAll(java.lang.String)">getAll(String)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller">CarController</a></dt>
<dd>
<div class="block">Recupera a lista de todos os carros do usuário logado</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#getAuthorities()">getAuthorities()</a></span> - Method in class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/UserController.html#getById(java.lang.Long)">getById(Long)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller">UserController</a></dt>
<dd>
<div class="block">Recupera um usuário por id</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/CarController.html#getById(java.lang.String,java.lang.Long)">getById(String, Long)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller">CarController</a></dt>
<dd>
<div class="block">Recupera um carro do usuário logado por id</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#getPassword()">getPassword()</a></span> - Method in class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#getUser()">getUser()</a></span> - Method in class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#getUsername()">getUsername()</a></span> - Method in class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html#HEADER_ATRIBUTO">HEADER_ATRIBUTO</a></span> - Static variable in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTValidateFilter</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/WebConfig.html#init(javax.servlet.FilterConfig)">init(FilterConfig)</a></span> - Method in class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/WebConfig.html" title="class in com.daulio.desafiotcebackend.config">WebConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#isAccountNonExpired()">isAccountNonExpired()</a></span> - Method in class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#isAccountNonLocked()">isAccountNonLocked()</a></span> - Method in class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#isCredentialsNonExpired()">isCredentialsNonExpired()</a></span> - Method in class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#isEnabled()">isEnabled()</a></span> - Method in class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:J">
<!--   -->
</a>
<h2 class="title">J</h2>
<dl>
<dt><a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">JWTAutenticateFilter</span></a> - Class in <a href="com/daulio/desafiotcebackend/security/package-summary.html">com.daulio.desafiotcebackend.security</a></dt>
<dd>
<div class="block">Classe para configurações e respostas de autenticação</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html#%3Cinit%3E(org.springframework.security.authentication.AuthenticationManager)">JWTAutenticateFilter(AuthenticationManager)</a></span> - Constructor for class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTAutenticateFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">JWTConfiguration</span></a> - Class in <a href="com/daulio/desafiotcebackend/security/package-summary.html">com.daulio.desafiotcebackend.security</a></dt>
<dd>
<div class="block">Classe para configurações do JWT</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html#%3Cinit%3E(com.daulio.desafiotcebackend.security.UserDetailsServiceImpl,org.springframework.security.crypto.password.PasswordEncoder)">JWTConfiguration(UserDetailsServiceImpl, PasswordEncoder)</a></span> - Constructor for class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html" title="class in com.daulio.desafiotcebackend.security">JWTConfiguration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">JWTValidateFilter</span></a> - Class in <a href="com/daulio/desafiotcebackend/security/package-summary.html">com.daulio.desafiotcebackend.security</a></dt>
<dd>
<div class="block">Classe para validação de autenticação</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html#%3Cinit%3E(org.springframework.security.authentication.AuthenticationManager)">JWTValidateFilter(AuthenticationManager)</a></span> - Constructor for class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTValidateFilter</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/UserDetailsServiceImpl.html#loadUserByUsername(java.lang.String)">loadUserByUsername(String)</a></span> - Method in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/UserDetailsServiceImpl.html" title="class in com.daulio.desafiotcebackend.security">UserDetailsServiceImpl</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/DesafiotcebackendApplication.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class com.daulio.desafiotcebackend.<a href="com/daulio/desafiotcebackend/DesafiotcebackendApplication.html" title="class in com.daulio.desafiotcebackend">DesafiotcebackendApplication</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/controller/MeController.html" title="class in com.daulio.desafiotcebackend.controller"><span class="typeNameLink">MeController</span></a> - Class in <a href="com/daulio/desafiotcebackend/controller/package-summary.html">com.daulio.desafiotcebackend.controller</a></dt>
<dd>
<div class="block">Representa o controller que traz dados do usuário logado no sistema</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/MeController.html#%3Cinit%3E()">MeController()</a></span> - Constructor for class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/MeController.html" title="class in com.daulio.desafiotcebackend.controller">MeController</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/SecurityConfig.html#passwordEncoder()">passwordEncoder()</a></span> - Method in class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/SecurityConfig.html" title="class in com.daulio.desafiotcebackend.config">SecurityConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html#productApi()">productApi()</a></span> - Method in class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html" title="class in com.daulio.desafiotcebackend.config">SwaggerConfig</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="com/daulio/desafiotcebackend/exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception"><span class="typeNameLink">RegraNegocioException</span></a> - Exception in <a href="com/daulio/desafiotcebackend/exception/package-summary.html">com.daulio.desafiotcebackend.exception</a></dt>
<dd>
<div class="block">Classe para tratamento de erro</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/exception/RegraNegocioException.html#%3Cinit%3E(java.lang.String)">RegraNegocioException(String)</a></span> - Constructor for exception com.daulio.desafiotcebackend.exception.<a href="com/daulio/desafiotcebackend/exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserService.html#removeCar(com.daulio.desafiotcebackend.model.Car)">removeCar(Car)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#removeCar(com.daulio.desafiotcebackend.model.Car)">removeCar(Car)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Remove um carro do usuário</div>
</dd>
</dl>
<a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/UserController.html#save(com.daulio.desafiotcebackend.dto.UserDTO)">save(UserDTO)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller">UserController</a></dt>
<dd>
<div class="block">Salva um novo usuário</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#save(com.daulio.desafiotcebackend.dto.UserDTO)">save(UserDTO)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Salva um usuário</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/CarController.html#save(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">save(String, CarDTO)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller">CarController</a></dt>
<dd>
<div class="block">Salva um novo carro para usuário logado</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html#save(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">save(String, CarDTO)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">CarServiceImpl</a></dt>
<dd>
<div class="block">Salva um carro para usuário logado</div>
</dd>
<dt><a href="com/daulio/desafiotcebackend/config/SecurityConfig.html" title="class in com.daulio.desafiotcebackend.config"><span class="typeNameLink">SecurityConfig</span></a> - Class in <a href="com/daulio/desafiotcebackend/config/package-summary.html">com.daulio.desafiotcebackend.config</a></dt>
<dd>
<div class="block">Classe para configuração de Segurança</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/SecurityConfig.html#%3Cinit%3E()">SecurityConfig()</a></span> - Constructor for class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/SecurityConfig.html" title="class in com.daulio.desafiotcebackend.config">SecurityConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html#successfulAuthentication(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse,javax.servlet.FilterChain,org.springframework.security.core.Authentication)">successfulAuthentication(HttpServletRequest, HttpServletResponse, FilterChain, Authentication)</a></span> - Method in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTAutenticateFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html" title="class in com.daulio.desafiotcebackend.config"><span class="typeNameLink">SwaggerConfig</span></a> - Class in <a href="com/daulio/desafiotcebackend/config/package-summary.html">com.daulio.desafiotcebackend.config</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html#%3Cinit%3E()">SwaggerConfig()</a></span> - Constructor for class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html" title="class in com.daulio.desafiotcebackend.config">SwaggerConfig</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/CarConverter.html#toDTO(com.daulio.desafiotcebackend.model.Car)">toDTO(Car)</a></span> - Method in class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/CarConverter.html" title="class in com.daulio.desafiotcebackend.converter">CarConverter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/UserConverter.html#toDTO(com.daulio.desafiotcebackend.model.User)">toDTO(User)</a></span> - Method in class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/UserConverter.html" title="class in com.daulio.desafiotcebackend.converter">UserConverter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/CarConverter.html#toDTO(java.util.List)">toDTO(List&lt;Car&gt;)</a></span> - Method in class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/CarConverter.html" title="class in com.daulio.desafiotcebackend.converter">CarConverter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/UserConverter.html#toDTO(java.util.List)">toDTO(List&lt;User&gt;)</a></span> - Method in class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/UserConverter.html" title="class in com.daulio.desafiotcebackend.converter">UserConverter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/CarConverter.html#toEntity(com.daulio.desafiotcebackend.dto.CarDTO)">toEntity(CarDTO)</a></span> - Method in class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/CarConverter.html" title="class in com.daulio.desafiotcebackend.converter">CarConverter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/UserConverter.html#toEntity(com.daulio.desafiotcebackend.dto.UserDTO)">toEntity(UserDTO)</a></span> - Method in class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/UserConverter.html" title="class in com.daulio.desafiotcebackend.converter">UserConverter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/CarConverter.html#toEntity(java.util.List)">toEntity(List&lt;CarDTO&gt;)</a></span> - Method in class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/CarConverter.html" title="class in com.daulio.desafiotcebackend.converter">CarConverter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/UserConverter.html#toEntity(java.util.List)">toEntity(List&lt;UserDTO&gt;)</a></span> - Method in class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/UserConverter.html" title="class in com.daulio.desafiotcebackend.converter">UserConverter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/Consts.html#TOKEN_EXPIRATION">TOKEN_EXPIRATION</a></span> - Static variable in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/Consts.html" title="class in com.daulio.desafiotcebackend.security">Consts</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/Consts.html#TOKEN_PASSWORD">TOKEN_PASSWORD</a></span> - Static variable in class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/Consts.html" title="class in com.daulio.desafiotcebackend.security">Consts</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/UserController.html#update(com.daulio.desafiotcebackend.dto.UserDTO)">update(UserDTO)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller">UserController</a></dt>
<dd>
<div class="block">Atualiza os dados usuário</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserService.html#update(com.daulio.desafiotcebackend.dto.UserDTO)">update(UserDTO)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#update(com.daulio.desafiotcebackend.dto.UserDTO)">update(UserDTO)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>
<div class="block">Atualiza os dados usuário</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/CarController.html#update(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">update(String, CarDTO)</a></span> - Method in class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller">CarController</a></dt>
<dd>
<div class="block">Atualiza os dados de um carro do usuário logado</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarService.html#update(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">update(String, CarDTO)</a></span> - Method in interface com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html#update(java.lang.String,com.daulio.desafiotcebackend.dto.CarDTO)">update(String, CarDTO)</a></span> - Method in class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">CarServiceImpl</a></dt>
<dd>
<div class="block">Atualiza os dados de um carro do usuário logado</div>
</dd>
<dt><a href="com/daulio/desafiotcebackend/model/User.html" title="class in com.daulio.desafiotcebackend.model"><span class="typeNameLink">User</span></a> - Class in <a href="com/daulio/desafiotcebackend/model/package-summary.html">com.daulio.desafiotcebackend.model</a></dt>
<dd>
<div class="block">Representa entidade do banco de dados para usuários.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/User.html#%3Cinit%3E()">User()</a></span> - Constructor for class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/User.html" title="class in com.daulio.desafiotcebackend.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller"><span class="typeNameLink">UserController</span></a> - Class in <a href="com/daulio/desafiotcebackend/controller/package-summary.html">com.daulio.desafiotcebackend.controller</a></dt>
<dd>
<div class="block">Representa o controller de usuários no sistema.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/controller/UserController.html#%3Cinit%3E()">UserController()</a></span> - Constructor for class com.daulio.desafiotcebackend.controller.<a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller">UserController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/converter/UserConverter.html" title="class in com.daulio.desafiotcebackend.converter"><span class="typeNameLink">UserConverter</span></a> - Class in <a href="com/daulio/desafiotcebackend/converter/package-summary.html">com.daulio.desafiotcebackend.converter</a></dt>
<dd>
<div class="block">Classe para converção de DTO para Entity e de Entity para DTO dos dados do usuário</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/converter/UserConverter.html#%3Cinit%3E()">UserConverter()</a></span> - Constructor for class com.daulio.desafiotcebackend.converter.<a href="com/daulio/desafiotcebackend/converter/UserConverter.html" title="class in com.daulio.desafiotcebackend.converter">UserConverter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model"><span class="typeNameLink">UserDetailsModel</span></a> - Class in <a href="com/daulio/desafiotcebackend/model/package-summary.html">com.daulio.desafiotcebackend.model</a></dt>
<dd>
<div class="block">Classe que implementa UserDetails para autenticação.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html#%3Cinit%3E()">UserDetailsModel()</a></span> - Constructor for class com.daulio.desafiotcebackend.model.<a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/security/UserDetailsServiceImpl.html" title="class in com.daulio.desafiotcebackend.security"><span class="typeNameLink">UserDetailsServiceImpl</span></a> - Class in <a href="com/daulio/desafiotcebackend/security/package-summary.html">com.daulio.desafiotcebackend.security</a></dt>
<dd>
<div class="block">Classe para validação de login do usuário</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/security/UserDetailsServiceImpl.html#%3Cinit%3E()">UserDetailsServiceImpl()</a></span> - Constructor for class com.daulio.desafiotcebackend.security.<a href="com/daulio/desafiotcebackend/security/UserDetailsServiceImpl.html" title="class in com.daulio.desafiotcebackend.security">UserDetailsServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/dto/UserDTO.html" title="class in com.daulio.desafiotcebackend.dto"><span class="typeNameLink">UserDTO</span></a> - Class in <a href="com/daulio/desafiotcebackend/dto/package-summary.html">com.daulio.desafiotcebackend.dto</a></dt>
<dd>
<div class="block">Classe DTO para requisição e resposta dos endpoints de usuários.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/dto/UserDTO.html#%3Cinit%3E()">UserDTO()</a></span> - Constructor for class com.daulio.desafiotcebackend.dto.<a href="com/daulio/desafiotcebackend/dto/UserDTO.html" title="class in com.daulio.desafiotcebackend.dto">UserDTO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository"><span class="typeNameLink">UserRepository</span></a> - Interface in <a href="com/daulio/desafiotcebackend/repository/package-summary.html">com.daulio.desafiotcebackend.repository</a></dt>
<dd>
<div class="block">Repository para entidade User</div>
</dd>
<dt><a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service"><span class="typeNameLink">UserService</span></a> - Interface in <a href="com/daulio/desafiotcebackend/service/package-summary.html">com.daulio.desafiotcebackend.service</a></dt>
<dd>
<div class="block">Representa interface do service com os métodos para usuários no sistema.</div>
</dd>
<dt><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service"><span class="typeNameLink">UserServiceImpl</span></a> - Class in <a href="com/daulio/desafiotcebackend/service/package-summary.html">com.daulio.desafiotcebackend.service</a></dt>
<dd>
<div class="block">Representa service com os métodos para usuários no sistema.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html#%3Cinit%3E()">UserServiceImpl()</a></span> - Constructor for class com.daulio.desafiotcebackend.service.<a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:W">
<!--   -->
</a>
<h2 class="title">W</h2>
<dl>
<dt><a href="com/daulio/desafiotcebackend/config/WebConfig.html" title="class in com.daulio.desafiotcebackend.config"><span class="typeNameLink">WebConfig</span></a> - Class in <a href="com/daulio/desafiotcebackend/config/package-summary.html">com.daulio.desafiotcebackend.config</a></dt>
<dd>
<div class="block">Classe para configuração dos Filtros Web</div>
</dd>
<dt><span class="memberNameLink"><a href="com/daulio/desafiotcebackend/config/WebConfig.html#%3Cinit%3E()">WebConfig()</a></span> - Constructor for class com.daulio.desafiotcebackend.config.<a href="com/daulio/desafiotcebackend/config/WebConfig.html" title="class in com.daulio.desafiotcebackend.config">WebConfig</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2024. All rights reserved.</small></p>
</footer>
</body>
</html>
